Bug 7863 - xdg-open does not honor anchors in file URLs
Summary: xdg-open does not honor anchors in file URLs
Status: RESOLVED FIXED
Alias: None
Product: Portland
Classification: Unclassified
Component: xdg-utils (show other bugs)
Version: beta3
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Portland Integration Project
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-12 14:56 UTC by Martin Koller
Modified: 2006-08-16 12:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2006-08-12 14:56:13 UTC
e.g.

./xdg-open 
file:///home/PACKAGES/qt/qt-x11-commercial-3.3.6/doc/html/qtextedit.html#textChanged

just shows the page but not at the anchor position

If you like to run a HTML based online help from your application, this is 
needed.
Comment 1 Martin Koller 2006-08-12 14:57:55 UTC
Forgot to tell my environment:
Suse 9.3, KDE: 3.5.4 Level "a"
xdg-open starts konqueror
Comment 2 Kevin Krammer 2006-08-12 15:38:14 UTC
Seems to be a bug in kfmclient

It works if the URL points to a http:// location, but fails for file:/

Can anyone check gnome-open and exo-open?
Comment 3 Martin Koller 2006-08-13 03:36:03 UTC
Seems I already reported this on bugs.kde.org some time ago
http://bugs.kde.org/show_bug.cgi?id=123011
Comment 4 Kevin Krammer 2006-08-13 05:59:11 UTC
Indeed, thank you!

I have tracked it down and proposed a fix, but I'd rather have someone with 
more intimate knowledge about the respective part of kdelibs decide whether it 
is a workable solution.

I'll close this bug as soon as the one on bugs.kde.org is.

Comment 5 David Faure 2006-08-16 12:55:03 UTC
Fixed in kde.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.